DaemonSet Details
Kubectl Commands
- View
- Delete
- Describe
Containers
Name | Image | Ports | ... |
---|---|---|---|
do-node-agent | docker.io/digitalocean/do-agent:3.16.9 | N/A | ... |
Init Containers
Name | Image | Ports | ... |
---|---|---|---|
dynamic-config | gcr.io/distroless/static-debian12:debug-... | N/A | ... |
Metadata
Creation Time: 2024-07-01T18:54:34Z
Labels:
- app: do-node-agent
- c3.doks.digitalocean.com/component: do-node-agent...
- c3.doks.digitalocean.com/plane: data...
- doks.digitalocean.com/managed: true...
Annotation:
- deprecated.daemonset.template.generation: 3...
name: do-node-agentnamespace: kube-systemuid: 9d553d8f-4081-4b04-86aa-5d697ec13a65resourceVersion: '45341323'generation: 3creationTimestamp: '2024-07-01T18:54:34Z'labels:app: do-node-agentc3.doks.digitalocean.com/component: do-node-agentc3.doks.digitalocean.com/plane: datadoks.digitalocean.com/managed: 'true'annotations:deprecated.daemonset.template.generation: '3'
- name: do-node-agentimage: docker.io/digitalocean/do-agent:3.16.9command:- /bin/do-agentargs:- '@/etc/config/do-agent-config'- '--path.procfs=/host/proc'- '--path.sysfs=/host/sys'- >---k8s-metrics-path=http://kube-state-metrics.kube-system.svc.cluster.local:8080/metrics- >---additional-label=kubernetes_cluster_uuid:f6ce2907-8531-4ab3-861e-4e2affa620b1resources:limits:memory: 300Mirequests:cpu: 102mmemory: 80MivolumeMounts:- name: procreadOnly: truemountPath: /host/proc- name: sysreadOnly: truemountPath: /host/sys- name: rootreadOnly: truemountPath: /host/rootmountPropagation: HostToContainer- name: dynamic-configmountPath: /etc/configterminationMessagePath: /dev/termination-logterminationMessagePolicy: FileimagePullPolicy: IfNotPresent
currentNumberScheduled: 2numberMisscheduled: 0desiredNumberScheduled: 2numberReady: 2observedGeneration: 3updatedNumberScheduled: 2numberAvailable: 2
selector:matchLabels:app: do-node-agenttemplate:metadata:creationTimestamp: nulllabels:app: do-node-agentdoks.digitalocean.com/managed: 'true'annotations:clusterlint.digitalocean.com/disabled-checks: resource-requirements,hostpath-volumespec:volumes:- name: prochostPath:path: /proctype: ''- name: syshostPath:path: /systype: ''- name: roothostPath:path: /type: ''- name: dynamic-configemptyDir: {}- name: host-kubectlhostPath:path: /usr/bin/kubectltype: FileinitContainers:- name: dynamic-configimage: gcr.io/distroless/static-debian12:debug-nonroot-amd64command:- sh- '-c'- >set -o errexitset -o pipefailset -o nounsetKUBECTL=/host/usr/bin/kubectlPOOL_ID="$(${KUBECTL} get node ${NODE_NAME} -ojsonpath='{.metadata.labels.doks\.digitalocean\.com/node-pool-id}')"[[ -z "${POOL_ID}" ]] && echo "Pool ID label missing" && exit 1echo "--additional-label=kubernetes_node_pool_uuid:${POOL_ID}" >/etc/config/do-agent-configecho "Pool ID configured: ${POOL_ID}"env:- name: NODE_NAMEvalueFrom:fieldRef:apiVersion: v1fieldPath: spec.nodeNameresources: {}volumeMounts:- name: dynamic-configmountPath: /etc/config- name: host-kubectlmountPath: /host/usr/bin/kubectlterminationMessagePath: /dev/termination-logterminationMessagePolicy: FileimagePullPolicy: IfNotPresentcontainers:- name: do-node-agentimage: docker.io/digitalocean/do-agent:3.16.9command:- /bin/do-agentargs:- '@/etc/config/do-agent-config'- '--path.procfs=/host/proc'- '--path.sysfs=/host/sys'- >---k8s-metrics-path=http://kube-state-metrics.kube-system.svc.cluster.local:8080/metrics- >---additional-label=kubernetes_cluster_uuid:f6ce2907-8531-4ab3-861e-4e2affa620b1resources:limits:memory: 300Mirequests:cpu: 102mmemory: 80MivolumeMounts:- name: procreadOnly: truemountPath: /host/proc- name: sysreadOnly: truemountPath: /host/sys- name: rootreadOnly: truemountPath: /host/rootmountPropagation: HostToContainer- name: dynamic-configmountPath: /etc/configterminationMessagePath: /dev/termination-logterminationMessagePolicy: FileimagePullPolicy: IfNotPresentrestartPolicy: AlwaysterminationGracePeriodSeconds: 30dnsPolicy: ClusterFirstWithHostNetnodeSelector:kubernetes.io/os: linuxserviceAccountName: do-agentserviceAccount: do-agenthostNetwork: truesecurityContext:runAsUser: 65534runAsNonRoot: trueschedulerName: default-schedulertolerations:- operator: ExistspriorityClassName: system-node-criticalupdateStrategy:type: RollingUpdaterollingUpdate:maxUnavailable: 1maxSurge: 0revisionHistoryLimit: 10
metadata:name: do-node-agentnamespace: kube-systemuid: 9d553d8f-4081-4b04-86aa-5d697ec13a65resourceVersion: '45341323'generation: 3creationTimestamp: '2024-07-01T18:54:34Z'labels:app: do-node-agentc3.doks.digitalocean.com/component: do-node-agentc3.doks.digitalocean.com/plane: datadoks.digitalocean.com/managed: 'true'annotations:deprecated.daemonset.template.generation: '3'spec:selector:matchLabels:app: do-node-agenttemplate:metadata:creationTimestamp: nulllabels:app: do-node-agentdoks.digitalocean.com/managed: 'true'annotations:clusterlint.digitalocean.com/disabled-checks: resource-requirements,hostpath-volumespec:volumes:- name: prochostPath:path: /proctype: ''- name: syshostPath:path: /systype: ''- name: roothostPath:path: /type: ''- name: dynamic-configemptyDir: {}- name: host-kubectlhostPath:path: /usr/bin/kubectltype: FileinitContainers:- name: dynamic-configimage: gcr.io/distroless/static-debian12:debug-nonroot-amd64command:- sh- '-c'- >set -o errexitset -o pipefailset -o nounsetKUBECTL=/host/usr/bin/kubectlPOOL_ID="$(${KUBECTL} get node ${NODE_NAME} -ojsonpath='{.metadata.labels.doks\.digitalocean\.com/node-pool-id}')"[[ -z "${POOL_ID}" ]] && echo "Pool ID label missing" && exit 1echo "--additional-label=kubernetes_node_pool_uuid:${POOL_ID}" >/etc/config/do-agent-configecho "Pool ID configured: ${POOL_ID}"env:- name: NODE_NAMEvalueFrom:fieldRef:apiVersion: v1fieldPath: spec.nodeNameresources: {}volumeMounts:- name: dynamic-configmountPath: /etc/config- name: host-kubectlmountPath: /host/usr/bin/kubectlterminationMessagePath: /dev/termination-logterminationMessagePolicy: FileimagePullPolicy: IfNotPresentcontainers:- name: do-node-agentimage: docker.io/digitalocean/do-agent:3.16.9command:- /bin/do-agentargs:- '@/etc/config/do-agent-config'- '--path.procfs=/host/proc'- '--path.sysfs=/host/sys'- >---k8s-metrics-path=http://kube-state-metrics.kube-system.svc.cluster.local:8080/metrics- >---additional-label=kubernetes_cluster_uuid:f6ce2907-8531-4ab3-861e-4e2affa620b1resources:limits:memory: 300Mirequests:cpu: 102mmemory: 80MivolumeMounts:- name: procreadOnly: truemountPath: /host/proc- name: sysreadOnly: truemountPath: /host/sys- name: rootreadOnly: truemountPath: /host/rootmountPropagation: HostToContainer- name: dynamic-configmountPath: /etc/configterminationMessagePath: /dev/termination-logterminationMessagePolicy: FileimagePullPolicy: IfNotPresentrestartPolicy: AlwaysterminationGracePeriodSeconds: 30dnsPolicy: ClusterFirstWithHostNetnodeSelector:kubernetes.io/os: linuxserviceAccountName: do-agentserviceAccount: do-agenthostNetwork: truesecurityContext:runAsUser: 65534runAsNonRoot: trueschedulerName: default-schedulertolerations:- operator: ExistspriorityClassName: system-node-criticalupdateStrategy:type: RollingUpdaterollingUpdate:maxUnavailable: 1maxSurge: 0revisionHistoryLimit: 10status:currentNumberScheduled: 2numberMisscheduled: 0desiredNumberScheduled: 2numberReady: 2observedGeneration: 3updatedNumberScheduled: 2numberAvailable: 2
Name | Namespace | Status | Created | Restarts | Node | IP Address |
---|---|---|---|---|---|---|
do-node-agent-489n7 | kube-system | Running | 2 months ago | 0 | system-0-r5hb1 | 10.108.0.3 |
do-node-agent-26xh6 | kube-system | Running | 2 months ago | 0 | system-0-bf7s0 | 10.108.0.2 |
Name | Namespace | Status | Created | Restarts | Node | IP Address |
---|---|---|---|---|---|---|
do-node-agent-489n7 | kube-system | Running | 2 months ago | 0 | system-0-r5hb1 | 10.108.0.3 |
do-node-agent-26xh6 | kube-system | Running | 2 months ago | 0 | system-0-bf7s0 | 10.108.0.2 |
Name | Namespace | Status | Created | Restarts | Node | IP Address |
---|---|---|---|---|---|---|
do-node-agent-489n7 | kube-system | Running | 2 months ago | 0 | system-0-r5hb1 | 10.108.0.3 |
do-node-agent-26xh6 | kube-system | Running | 2 months ago | 0 | system-0-bf7s0 | 10.108.0.2 |